Bug 196537 - NullPointerException at org.netbeans.modules.html.editor.HtmlPreferences.getMimetypesWithEnabledHtmlErrorCheckingAsCollection
NullPointerException at org.netbeans.modules.html.editor.HtmlPreferences.getM...
Status: VERIFIED FIXED
Product: web
Classification: Unclassified
Component: HTML Editor
6.x
All All
: P2 (vote)
: 7.0
Assigned To: Marek Fukala
issues@javaee
EXCEPTIONS_REPORT
: 70_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-10 10:11 UTC by Marek Fukala
Modified: 2011-03-15 16:06 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (4.13 KB, text/plain)
2011-03-10 10:11 UTC, Marek Fukala
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marek Fukala 2011-03-10 10:11:53 UTC
Build: NetBeans IDE Dev (Build 110301-1050701f6c3d)
VM: Java HotSpot(TM) Client VM, 17.1-b03-307, Java(TM) SE Runtime Environment, 1.6.0_22-b04-307-10M3261
OS: Mac OS X

Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.html.editor.HtmlPreferences.getMimetypesWithEnabledHtmlErrorCheckingAsCollection(HtmlPreferences.java:240)
   at org.netbeans.modules.html.editor.HtmlPreferences.getMimetypesWithEnabledHtmlErrorChecking(HtmlPreferences.java:184)
   at org.netbeans.modules.html.editor.HtmlPreferences.isHtmlErrorCheckingEnabledForMimetype(HtmlPreferences.java:188)
   at org.netbeans.modules.html.editor.HtmlErrorFilter.isErrorCheckingEnabledForMimetype(HtmlErrorFilter.java:91)
   at org.netbeans.modules.html.editor.HtmlErrorFilter.isErrorCheckingEnabled(HtmlErrorFilter.java:82)
   at org.netbeans.modules.html.editor.HtmlErrorFilter.filter(HtmlErrorFilter.java:75)
Comment 1 Marek Fukala 2011-03-10 10:11:58 UTC
Created attachment 106872 [details]
stacktrace
Comment 2 Marek Fukala 2011-03-10 10:25:04 UTC
This issue IMO always happen if one opens the ide with no html-containing opened files (html, jsp, php...) in the editor and does nothing else than opens such file.

To me it happened when I started the ide with a fresh userdir, opened an existing web project and opened a jsp file.

I would like to ask QE whether they want this to be fixed in 7.0
Comment 3 Marek Fukala 2011-03-10 10:28:03 UTC
fixed in web-main#b0aaac5df6bd

My justification for this to be fixed in 7.0 is that the fix is absolutely safe and it makes a bad impression to start NB open a file and got an exception in the very first place.
Comment 4 Marian Mirilovic 2011-03-10 10:35:55 UTC
(In reply to comment #2)
> I would like to ask QE whether they want this to be fixed in 7.0

I agree - should be fixed in NB 7.0.

Lada, could you please test the fix and verify it in the next development build ? Thanks in advance.
Comment 5 Vladimir Riha 2011-03-10 21:38:12 UTC
I will test it on Friday 03/11 (if the next dev build will be released tomorrow)
Comment 6 Quality Engineering 2011-03-11 09:42:05 UTC
Integrated into 'main-golden', will be available in build *201103110400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/b0aaac5df6bd
User: Marek Fukala <mfukala@netbeans.org>
Log: #196537 - NullPointerException at org.netbeans.modules.html.editor.HtmlPreferences.getMimetypesWithEnabledHtmlErrorCheckingAsCollection
Comment 7 Vladimir Riha 2011-03-11 16:25:08 UTC
I wasn't able to reproduce, verified...
Comment 8 Marek Fukala 2011-03-15 16:06:26 UTC
fixed in releases repository - release70 branch #46df3bebc547


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo